import { EnergySavingLevels, Inputs, Keys } from '../constants/TV';
import { LGEncryption } from './LGEncryption';
import { TinySocket } from './TinySocket';
export declare class LGTV {
    encryption: LGEncryption;
    socket: TinySocket;
    constructor(host: string, macAddress: string | null, keycode: string, settings?: {
        encryptionIvLength: number;
        encryptionKeyDigest: string;
        encryptionKeyIterations: number;
        encryptionKeyLength: number;
        encryptionKeySalt: number[];
        keycodeFormat: RegExp;
        messageBlockSize: number;
        messageTerminator: string;
        networkPort: number;
        networkTimeout: number;
        networkWolAddress: string;
        networkWolPort: number;
    });
    private sendCommand;
    connect(): Promise<void>;
    disconnect(): Promise<void>;
    powerOff(): Promise<void>;
    powerOn(): void;
    sendKey(key: Keys): Promise<void>;
    setEnergySaving(level: EnergySavingLevels): Promise<void>;
    setInput(input: Inputs): Promise<void>;
    setVolume(volumeLevel: number): Promise<void>;
    setVolumeMute(isMuted: boolean): Promise<void>;
}
