"use strict";Object.defineProperty(exports,"__esModule",{value:!0});var e,t,n,r,s=(e=require("assert"))&&"object"==typeof e&&"default"in e?e.default:e,o=require("crypto"),i=require("dgram"),a=require("net");(t=exports.EnergySavingLevels||(exports.EnergySavingLevels={})).auto="auto",t.screenOff="screenoff",t.maximum="maximum",t.medium="medium",t.minimum="minimum",t.off="off",(n=exports.Inputs||(exports.Inputs={})).dtv="dtv",n.atv="atv",n.cadtv="cadtv",n.catv="catv",n.av="avav1",n.component="component1",n.hdmi1="hdmi1",n.hdmi2="hdmi2",n.hdmi3="hdmi3",n.hdmi4="hdmi4",(r=exports.Keys||(exports.Keys={})).arrowDown="arrowdown",r.arrowLeft="arrowleft",r.arrowRight="arrowright",r.arrowUp="arrowup",r.aspectRatio="aspectratio",r.audioMode="audiomode",r.back="returnback",r.blueButton="bluebutton",r.captionSubtitle="captionsubtitle",r.channelDown="channeldown",r.channelList="channellist",r.channelUp="channelup",r.deviceInput="deviceinput",r.energySaving="screenbright",r.fastForward="fastforward",r.greenButton="greenbutton",r.home="myapp",r.info="programminfo",r.liveTV="livetv",r.menu="settingmenu",r.number0="number0",r.number1="number1",r.number2="number2",r.number3="number3",r.number4="number4",r.number5="number5",r.number6="number6",r.number7="number7",r.number8="number8",r.number9="number9",r.ok="ok",r.play="play",r.previousChannel="previouschannel",r.programGuide="programguide",r.record="record",r.redButton="redbutton",r.rewind="rewind",r.sleepTimer="sleepreserve",r.userGuide="userguide",r.videoMode="videomode",r.volumeDown="volumedown",r.volumeMute="volumemute",r.volumeUp="volumeup",r.yellowButton="yellowbutton";const c={encryptionIvLength:16,encryptionKeyDigest:"sha256",encryptionKeyIterations:16384,encryptionKeyLength:16,encryptionKeySalt:[99,97,184,14,155,220,166,99,141,7,32,242,204,86,143,185],keycodeFormat:/[A-Z0-9]{8}/,messageBlockSize:16,messageTerminator:"\r",networkPort:9761,networkTimeout:5e3,networkWolAddress:"255.255.255.255",networkWolPort:9};function u(e){s("object"==typeof e&&null!==e,"settings must be an object");const{encryptionIvLength:t,encryptionKeyDigest:n,encryptionKeyIterations:r,encryptionKeyLength:o,encryptionKeySalt:i,keycodeFormat:a,messageBlockSize:c,messageTerminator:u}=e;s("number"==typeof t&&t>0,"settings.encryptionIvLength must be a number greater than 0"),s("string"==typeof n&&n.length>0,"settings.encryptionKeyDigest must be a string with length greater than 0"),s("number"==typeof r&&r>0,"settings.encryptionKLeyIterations must be a number greater than 0"),s("number"==typeof o&&o>0,"settings.encryptionKeyLength must be a number greater than 0"),s(Array.isArray(i)&&i.some(e=>"number"==typeof e&&e>0),"settings.encryptionKeySalt must be an array of numbers with length greater than 0"),s(a instanceof RegExp,"settings.keycodeFormat must be an instance of RegExp"),s("number"==typeof c&&c>0,"settings.messageBlockSize must be a number greater than 0"),s("string"==typeof u&&u.length>0,"settings.messageTerminator must be a string with length greater than 0")}class m{constructor(e,t=c){this.settings=t,u(t),this.derivedKey=function(e,t=c){return u(t),s("string"==typeof e,"keycode must be a string"),s(t.keycodeFormat.test(e),"keycode format is invalid"),o.pbkdf2Sync(e,Buffer.from(t.encryptionKeySalt),t.encryptionKeyIterations,t.encryptionKeyLength,t.encryptionKeyDigest)}(e,t)}prepareMessage(e){s("string"==typeof e,"message must be a string"),s(e.length>0,"message must have a length greater than 0");const{messageTerminator:t,messageBlockSize:n}=this.settings;s(!e.includes(t),"message must not include the message terminator character");let r=e+t;r.length%n==0&&(r+=" ");const o=r.length%n;if(0!==o){const e=n-o;r+=String.fromCharCode(e).repeat(e)}return r}encrypt(e){const t=function(e=c.encryptionIvLength){s("number"==typeof e,"length must be a number"),s(e>0,"length must be greater than 0");const t=Buffer.alloc(e,0);for(let n=0;n<e;n++)t[n]=Math.floor(255*Math.random());return t}(this.settings.encryptionKeyLength),n=this.prepareMessage(e),r=o.createCipheriv("aes-128-ecb",this.derivedKey,Buffer.alloc(0)).update(t),i=o.createCipheriv("aes-128-cbc",this.derivedKey,t).update(n,"utf8");return Buffer.concat([r,i])}}const h=/^([0-9a-f]{2}:){5}([0-9a-f]{2})$/i;class l extends Error{}class d{constructor(e,t,n=c){this.host=e,this.macAddress=t,this.settings=n,this.client=new a.Socket,function(e){s("object"==typeof e&&null!==e,"settings must be an object");const{networkPort:t,networkTimeout:n,networkWolAddress:r,networkWolPort:o}=e;s("number"==typeof t&&t>0,"settings.networkPort must be a number greater than 0"),s("number"==typeof n&&n>0,"settings.networkTimeout must be a number greater than 0"),s("string"==typeof r&&r.length>0,"settings.networkWolAddress must be a string with length greater than 0"),s(a.isIP(r),"settings.networkWolAddress must be a valid IPv4 or IPv6"),s("number"==typeof o&&o>0,"settings.networkWolPort must be a number greater than 0")}(n),s(null===t||h.test(t),"invalid mac address")}wrap(e){return new Promise((t,n)=>{e((e,r)=>{this.client.removeListener("error",n),this.client.removeListener("timeout",()=>{n(new l)}),e?n(e):t(r)}),this.client.once("error",n),this.client.once("timeout",n)})}connect(){return this.wrap(e=>{this.client.connect(this.settings.networkPort,this.host,e),this.client.setTimeout(this.settings.networkTimeout)})}handleTimeout(){this.client.end()}read(){return this.wrap(e=>{this.client.once("data",t=>{e(void 0,t)})})}write(e){return this.wrap(t=>{this.client.write(e,t)})}sendReceive(e){try{const t=this;return Promise.resolve(t.write(e)).then((function(){return t.read()}))}catch(e){return Promise.reject(e)}}disconnect(){return this.wrap(e=>{this.client.end(e)})}wakeOnLan(){if(!this.macAddress)throw new Error("Unable to wake on lan: mac address was not configured");const e=i.createSocket(a.isIPv6(this.settings.networkWolAddress)?"udp6":"udp4");e.on("error",e.close),e.on("listening",()=>{e.setBroadcast(!0)});const t=Buffer.alloc(102,255),n=this.macAddress.split(":").map(e=>parseInt(e,16));for(let e=0;e<16;e++)for(let r=0;r<n.length;r++)t[6+6*e+r]=n[r];e.send(t,0,t.length,this.settings.networkWolPort,this.settings.networkWolAddress,()=>{e.close()})}}const g=/^\d+$/;exports.DefaultSettings=c,exports.LGTV=class{constructor(e,t,n,r=c){this.socket=new d(e,t,r),this.encryption=new m(n,r)}sendCommand(e){try{const t=this,n=t.encryption.encrypt(e);return Promise.resolve(t.socket.sendReceive(n)).then((function(){}))}catch(e){return Promise.reject(e)}}connect(){try{return Promise.resolve(this.socket.connect()).then((function(){}))}catch(e){return Promise.reject(e)}}disconnect(){try{return Promise.resolve(this.socket.disconnect()).then((function(){}))}catch(e){return Promise.reject(e)}}powerOff(){try{return Promise.resolve(this.sendCommand("POWER off")).then((function(){}))}catch(e){return Promise.reject(e)}}powerOn(){this.socket.wakeOnLan()}sendKey(e){try{const t=this;return s(Object.values(exports.Keys).some(t=>t===e),"key must be valid"),Promise.resolve(t.sendCommand(`KEY_ACTION ${e}`)).then((function(){}))}catch(e){return Promise.reject(e)}}setEnergySaving(e){try{const t=this;return s(Object.values(exports.EnergySavingLevels).some(t=>t===e),"level must be valid"),Promise.resolve(t.sendCommand(`ENERGY_SAVING ${e}`)).then((function(){}))}catch(e){return Promise.reject(e)}}setInput(e){try{const t=this;return s(Object.values(exports.Inputs).some(t=>t===e),"input must be valid"),Promise.resolve(t.sendCommand(`INPUT_SELECT ${e}`)).then((function(){}))}catch(e){return Promise.reject(e)}}setVolume(e){try{const t=this;return s("number"==typeof e&&g.test(e.toString())&&e>=0&&e<=100,"volumeLevel must be an integer between 0 and 100"),Promise.resolve(t.sendCommand(`VOLUME_CONTROL ${e}`)).then((function(){}))}catch(e){return Promise.reject(e)}}setVolumeMute(e){try{const t=this;return s("boolean"==typeof e,"isMuted must be a boolean"),Promise.resolve(t.sendCommand(`VOLUME_MUTE ${e?"on":"off"}`)).then((function(){}))}catch(e){return Promise.reject(e)}}};
//# sourceMappingURL=lgtv-ip-control.cjs.production.min.js.map
